CP(1)

NOME
cp - copia arquivos e diretórios

SINOPSE
cp [OPÇÃO]... [-T] ORIGEM DESTINO
cp [OPÇÃO]... ORIGEM... DIRETÓRIO
cp [OPÇÃO]... -t DIRETÓRIO ORIGEM...

DESCRIÇÃO

Copia ORIGEM para DESTINO, ou múltiplas ORIGENs para DIRETÓRIO.

Argumentos obrigatórios para opções longas também o são para opções curtas.

-a, --archive
    o mesmo que -dR --preserve=all

--attributes-only
    não copia os dados do arquivo, só seus atributos

--backup[=CONTROLE]
    faz uma cópia de segurança de cada arquivo de destino já existente

-b  como --backup, mas não aceita argumentos

--copy-contents
    copia o conteúdo de arquivos especiais quando recursivo

-d  o mesmo que --no-dereference --preserve=links

-f, --force
    se um arquivo de destino já existente não puder ser aberto, remove-o e tenta novamente (essa opção é ignorada quando a opção -n também é usada)

-i, --interactive
    pergunta antes de sobrescrever (sobrepõe uma opção -n usada anteriormente)

-H  segue os links simbólicos da linha de comando em ORIGEM

-l, --link
    faz um link físico dos arquivos em vez de copiá-los

-L, --dereference
    sempre segue links simbólicos em ORIGEM

-n, --no-clobber
    não sobrescreve um arquivo existente (sobrepõe uma opção -i anterior)

-P, --no-dereference
    nunca segue um link simbólico em ORIGEM

-p  idem a --preserve=mode,ownership,timestamps

--preserve[=LST_ATRIB]
    preserva os atributos especificados (padrão: mode,ownership,timestamps), e, se possível, atributos adicionais: context, links, extended, all.

--no-preserve=LST_ATRIB
    não preserva os atributos especificados

--parents
    usa o nome completo do arquivo fonte sob DIRETÓRIO

-R, -r, --recursive
    copia os diretórios recursivamente

--reflink[=QUANDO]
    controla cópias clone/CoW. Veja abaixo

--remove-destination
    remove cada arquivo de destino existente antes de tentar abri-lo (contrasta com --force)

--sparse=QUANDO
    controla a criação de arquivos esparsos. Veja abaixo

--strip-trailing-slashes
    remove quaisquer barras ao final de cada argumento ORIGEM

-s, --symbolic-link
    cria links simbólicos em vez de copiar

-S, --suffix=SUFIXO
    sobrescreve o sufixo comum de cópia de segurança

-t, --target-directory=DIRETÓRIO
    copia todos os argumentos da ORIGEM para o DIRETÓRIO

-T, --no-target-directory
    trata DESTINO como um arquivo normal

-u, --update
    copia apenas se o arquivo ORIGEM for mais recente que o arquivo destino ou se este não existir

-v, --verbose
    explica o que está sendo feito

-x, --one-file-system
    permanece neste sistema de arquivos

-Z  define o contexto de segurança SELinux do arquivo de destino para o tipo padrão

--context[=CTX]
    como -Z ou, se CTX for especificado, define o contexto de segurança SELinux ou SMACK como CTX

--help
    mostra esta ajuda e sai

--version
    informa a versão e sai

Por padrão, arquivos esparsos da ORIGEM são detectados por uma heurística básica e os respectivos arquivos de DESTINO são também feitos esparsos. Este é o comportamento escolhido por --sparse=auto. Especifique --sparse=always para criar um arquivo esparso em DESTINO sempre que o arquivo ORIGEM tiver uma sequência de bytes zero suficientemente grande. Use --sparse=never para inibir a criação de arquivos esparsos.

Quando --reflink[=always] é especificado, realiza uma cópia leve, em que os blocos de dados são copiados somente quando modificados. Se isso não for possível, a cópia falha. Em outro caso, se --reflink=auto for especificado, recai para a cópia padrão. Use --reflink=never para garantir que uma cópia padrão seja efetuada.

O sufixo de cópia de segurança é "~", a não ser que esteja definido --suffix ou SIMPLE_BACKUP_SUFFIX. O método de controle de versão pode ser definido com --backup ou a variável de ambiente VERSION_CONTROL. Os valores possíveis são:

none, off
    nunca faz cópias de segurança (mesmo se --backup for especificado)

numbered, t
    faz cópias de segurança numeradas

existing, nil
    numeradas se já existirem cópias de segurança numeradas, simples em caso contrário

simple, never
    sempre faz cópias de segurança simples

Como caso especial, cp faz uma cópia de segurança da ORIGEM quando as opções force e backup são fornecidas e ORIGEM e DESTINO são iguais ao nome de um arquivo comum já existente.

AUTOR
Escrito por Torbjorn Granlund, David MacKenzie e Jim Meyering.

RELATANDO PROBLEMAS
Página de ajuda do GNU coreutils: <https://www.gnu.org/software/coreutils/>
Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>.

DIREITOS AUTORAIS
Copyright © 2020 Free Software Foundation, Inc. Licença GPLv3+: GNU GPL versão 3 ou posterior <https://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
Documentação completa <https://www.gnu.org/software/coreutils/cp>
ou disponível localmente via: info '(coreutils) cp invocation'

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por André Luiz Fassone <lonely_wolf@ig.com.br>, Ricardo C.O.Freitas <english.quest@best-service.com> e Rafael Fontenelle <rafaelff@gnome.org>.

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).